POST   checks/browser/{checkId}/results/stepdata

Gets browser check results by step in json format by result ids.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

Remarks


Request's ResultIds maximum count is limited to 50.


The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/browser/12345/results/stepdata?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "result_ids": [
    "c7120130-b3db-4f17-bceb-5ded6d0a0372",
    "9c4954d7-d5bc-488e-b03a-811c7008b33c",
    "2bd3be4a-23a5-4968-a91e-f5e72860cb9b"
  ]
}"
NameType Required Description
result_idsArrayYes

The check results identifiers.

Response body model example and description

{
  "check_results": [
    {
      "check_id": 1,
      "result_id": "c4a623f7-95d4-4126-881a-73143fbc208b",
      "time_stamp_utc": "2024-09-27T22:22:23",
      "step_results": [
        {
          "step": 3,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 10000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 3,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 2000,
          "received_bytes": 200000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 2,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 45678,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        }
      ]
    },
    {
      "check_id": 1,
      "result_id": "e50bd1f5-60cc-4d33-882e-c594e4bd94e1",
      "time_stamp_utc": "2024-09-27T22:22:23",
      "step_results": [
        {
          "step": 3,
          "step_name": "Step #2",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 2000,
          "received_bytes": 200000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 3,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 10000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 2,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 45678,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        }
      ]
    },
    {
      "check_id": 1,
      "result_id": "0ef493f2-49ae-4705-8ae8-613180aee503",
      "time_stamp_utc": "2024-09-27T22:22:23",
      "step_results": [
        {
          "step": 2,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 45678,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 2,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 2000,
          "received_bytes": 300000,
          "sent_bytes": 20000,
          "compressed_content_bytes": 45678,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        },
        {
          "step": 3,
          "step_name": "Step #3",
          "url_count": 1,
          "started_utc": "2024-09-27T22:22:23",
          "elapsed_ms": 1000,
          "received_bytes": 100000,
          "sent_bytes": 10000,
          "compressed_content_bytes": 12345,
          "started_utc_iso_8601": "2024-09-27T22:22:23",
          "dom_interactive_ms": 1038,
          "dom_content_loaded_ms": 1138,
          "dom_complete_ms": 1338
        }
      ]
    }
  ]
}
NameType Description
check_resultsArray

The check results data.

step_resultsArray

The steps data of the result.

stepInteger

The number of the step.

step_nameString

The name of the step.

url_countInteger

URL count.

started_utcDateTime

The step started timestamp in UTC.

elapsed_msInteger

Elapsed ms.

received_bytesInteger

Received bytes.

sent_bytesInteger

Sent bytes.

compressed_content_bytesInteger

Compressed content bytes.

started_utc_iso_8601String

The step started timestamp in UTC ISO 8601.

dom_interactive_msInteger

DOM Interactive.

dom_content_loaded_msInteger

DOM Content Loaded.

dom_complete_msInteger

DOM Complete.

check_idInteger

The numeric identifier of the check.

result_idGuid

The GUID of the check result.

time_stamp_utcDateTime

The check result timestamp in UTC.